import Vue from 'vue'
import Router from 'vue-router'
import {constantRouterMap} from '@/config/router.config'

Vue.use(Router)

const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  console.log(location,10001000,this,Router)
  if(location.name){
    return originalPush.call(this, location).catch(err => err)
  }
}

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  scrollBehavior: () => ({y: 0}),
  routes: constantRouterMap
})